Get Shoreline Tile

Get GeoJSON Tile

GET

/api/v2/tiles/data-shoreline-v1/<z>/<x>/<y>.json

Description

Enterprise Plan Only: This endpoint is restricted to enterprise customers.

Returns the shoreline geometry (boundary between “land” and “water” features) for an area defined by the tile X/Y/Z as a GeoJSON document.

The returned GeoJSON will contain one or more polygons (as a Polygon or MultiPolygon) representing the area inside the tile which consists of land.

This data is sourced from all ENCs in the area, along with low-resolution background data in areas without ENCs.

At zoom levels below 4, the data will exclusively consist of low-resolution background data.

Authentication

This endpoint accepts a Bearer token in the Authorization header or a token query parameter. See Authentication for details.

Path Parameters

  • z (Required): Z coordinate of tile.
  • x (Required): X coordinate of tile.
  • y (Required): Y coordinate of tile.
Example Request
GET https://api.vectorcharts.com/api/v2/tiles/data-shoreline-v1/12/1240/1515.json
Authorization: Bearer <token>

Example Response
{
    "type": "MultiPolygon",
    "coordinates": [
        [
            [
                [
                    -122.388793945,
                    37.790630481
                ],
                [
                    -122.3887009,
                    37.790452
                ],
                ...
VectorCharts.com © 2026, Zydro Marine Technologies, Inc. · vectorcharts.com